=== debian/changelog ===
ddetect (1.03ubuntu14) warty; urgency=low

  * register-module rtc on amd64 (closes: Ubuntu #1659).

 -- Colin Watson <cjwatson@canonical.com>  Sun, 17 Oct 2004 20:13:52 +0100

ddetect (1.03ubuntu13) warty; urgency=low

  * Create /sbin! Both /sbin/hotplug and (on powerpc) /bin/discover-mac-io
    go missing otherwise.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  2 Oct 2004 18:49:19 +0100

ddetect (1.03ubuntu12) warty; urgency=low

  * Look through all of /proc/device-tree/, not just the mac-io bus. Slower
    but apparently necessary for at least the therm_* fan controllers, which
    are on uni-n here (closes: Ubuntu #1606).

 -- Colin Watson <cjwatson@canonical.com>  Thu, 30 Sep 2004 20:46:05 +0100

ddetect (1.03ubuntu11) warty; urgency=low

  * Copy firmware loading code from hotplug-pcmcia.sh to hotplug-misc.sh,
    installed as /sbin/hotplug, so that firmware loading works for
    non-PCMCIA devices.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 29 Sep 2004 00:46:27 +0100

ddetect (1.03ubuntu10) warty; urgency=low

  * Use /lib/hotplug/firmware rather than /lib/firmware, to match current
    hotplug.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 29 Sep 2004 00:15:12 +0100

ddetect (1.03ubuntu9) warty; urgency=low

  * Register ide-disk in /etc/modules if IDE devices are present (closes:
    Warty #1400).

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 14:35:28 +0100

ddetect (1.03ubuntu8) warty; urgency=low

  * Several improvements to discover-mac-io, backported from Debian:
    - Detect mesh SCSI controller.
    - Detect mace Ethernet controller.
    - Detect mac53c94 SCSI controller.
    - Detect therm_adt746x and therm_windtunnel fan controllers, although
      only post-reboot for now since those modules aren't in
      linux-kernel-di-powerpc-*.
    - Cope with /proc/device-tree/aliases/mac-io pointing to a symlink.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 13:53:10 +0100

ddetect (1.03ubuntu7) warty; urgency=low

  * Search for firmware in /lib/firmware as well as
    /usr/lib/hotplug/firmware.
  * Search for firmware with filenames including the kernel version number
    (closes: Warty #1316).

 -- Colin Watson <cjwatson@canonical.com>  Fri, 17 Sep 2004 20:28:37 +0100

ddetect (1.03ubuntu6) warty; urgency=low

  * Add the ability to back up from the error messages you get if ethdetect
    can't find any network interfaces.
  * Exit zero if you continue all the way through said errors. The warnings
    are scary enough, and netcfg handles the no-interfaces case reasonably
    gracefully.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 12 Sep 2004 16:16:20 +0100

ddetect (1.03ubuntu5) warty; urgency=low

  * Unconditionally load the psmouse module for i386. 

 -- Daniel Stone <daniels@debian.org>  Sun, 12 Sep 2004 02:07:17 +1000

ddetect (1.03ubuntu4) warty; urgency=low

  * Add firmware loading support (somewhat temporarily hacked-up until we
    get a real hotplug-udeb).
  * Register lp module on i386 and amd64 (closes: Warty #1039).

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 15:09:51 +0100

ddetect (1.03ubuntu3) warty; urgency=low

  * Register mousedev module, unconditionally.

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Sep 2004 03:56:45 +0100

ddetect (1.03ubuntu2) warty; urgency=low

  * Register apm_emu module on powerpc systems with a via-pmu (closes: Warty
    #974).

 -- Colin Watson <cjwatson@canonical.com>  Fri,  3 Sep 2004 03:35:28 +0100

ddetect (1.03ubuntu1) warty; urgency=low

  * Merge from Debian to get mac-io detection improvements.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  2 Sep 2004 14:51:54 +0100

ddetect (1.03) unstable; urgency=low

  * Martin Michlmayr
    - Upstream changed how the SGI O2 (IP 32) is reported in /proc/cpuinfo.
      Deal with the old and the new value.
  * Joey Hess
    - Remove seen flag unsetting code, not necessary for a long time in the
      d-i environment.
  * Colin Watson
    - Make hw-detect Architecture: any so that we don't have to have
      discover-mac-io on non-powerpc architectures.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Welsh (cy.po) by Dafydd Harries
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Russian (ru.po) by Yuri Kozlov

 -- Colin Watson <cjwatson@debian.org>  Thu,  2 Sep 2004 14:40:18 +0100

ddetect (1.02) unstable; urgency=low

  * Colin Watson
    - Don't bother trying to load psmouse in d-i; just register it for use
      after the first reboot.
    - Move mac-io hardware detection out to a separate file, only installed
      on powerpc.
    - Detect dmasound_pmac/snd-powermac (depending on kernel version) on
      PowerMacs.
  * Joshua Kwan
    - Add USB stuff to devnames.txt.
    - Don't try to load sbp2 unless we also have scsi_mod lying around.
  * Updated translations:
    - Catalan (ca.po) by Jordi Mallach
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bøkmal, Norwegian (nb.po) by
    - Polish (pl.po) by Bartosz Fenski
    - Turkish (tr.po) by Recai Oktaş

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Aug 2004 19:47:35 +0100

ddetect (1.01) unstable; urgency=medium

  * Joshua Kwan
    - Add more entries to devnames.txt.
    - grep for ^${module}: to prevent e1000's description matching for
      e100. (Closes: #262626, #266328)
    - 'hardware architecture', not 'hardware architect' in control.
  * Sven Luther
    - Added support for loading the psmouse modules on powerpc/chrp

