=== debian/control ===
Source: ddetect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Joshua Kwan <joshk@triplehelix.org>, Matt Kraai <kraai@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebconfclient0-dev
Standards-Version: 3.6.1.0

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: discover, rootskel (>= 0.54), archdetect
Description: Detect hardware and load kernel drivers for it
 Using discover to find the HW.

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: cdebconf-udeb (>= 0.38), hw-detect
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 15
Description: Detect network hardware and load kernel drivers for it
 If you have an ethernet card in the computer I may be able to autodetect it
 and load the proper module for it, thus bringing you closer to a working
 network.

Package: hw-detect-full
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 35
Description: Detect hardware and load kernel drivers for it (full version)
 Using discover to find the HW.

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Description: Hardware architecture detector
 This module detects the different hardware architectures.
