=== debian/changelog ===
ddetect (1.11ubuntu13) hoary; urgency=low

  * Don't install pcmcia-cs if hw-detect/start_pcmcia=false (closes: Ubuntu
    #8678).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 14:14:20 +0100

ddetect (1.11ubuntu12) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:55:05 +0000

ddetect (1.11ubuntu11) hoary; urgency=low

  * Move udevstart call to the end of hw-detect, in an attempt to make
    device creation more reliable.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Mar 2005 11:50:12 +0000

ddetect (1.11ubuntu10) hoary; urgency=low

  * Don't exit early if there are no modules to load (as can easily happen,
    since Ubuntu's rootskel coldplugs everything it can at boot time when
    using hotplug).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  5 Mar 2005 16:17:27 +0000

ddetect (1.11ubuntu9) hoary; urgency=low

  * Run udevstart after running hotplug scripts, to make sure that it
    creates device nodes synchronously.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2005 19:35:55 +0000

ddetect (1.11ubuntu8) hoary; urgency=low

  * Escape commas in lspci output for devnames.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2005 15:45:28 +0000

ddetect (1.11ubuntu7) hoary; urgency=low

  * Add pciutils-udeb dependency to ethdetect too so that cdrom installs
    pull it in.
  * Check that lspci is available before updating devnames from sysfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2005 11:14:10 +0000

ddetect (1.11ubuntu6) hoary; urgency=low

  * After each hardware detection run, update /etc/network/devnames from
    /sys/class/net, using lspci to get the network device name.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  8 Feb 2005 18:06:24 +0000

ddetect (1.11ubuntu5) hoary; urgency=low

  * Add link to prebaseconfig script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 20:02:09 +0000

ddetect (1.11ubuntu4) hoary; urgency=low

  * Test for the /etc/hotplug directory rather than hotplug.real or udevsend
    to decide whether we're using real hotplug.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 15:10:49 +0000

ddetect (1.11ubuntu3) hoary; urgency=low

  * Acknowledge the presence of udevsend, as well as hotplug.real, when
    deciding whether we are using real hotplug

 -- Matt Zimmerman <mdz@canonical.com>  Wed, 12 Jan 2005 00:26:01 -0800

ddetect (1.11ubuntu2) hoary; urgency=low

  * Drop priorities of a couple of ethdetect questions to medium.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:50:49 +0000

ddetect (1.11ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Sun,  5 Dec 2004 16:09:34 +0000

ddetect (1.11) unstable; urgency=low

  * Colin Watson
    - Portable shell fix in hotplug-pcmcia.
  * Joey Hess
    - Work around de4x5 / tulip problem by using tulip if de4x5 is not
      available, and blacklisting de4x5. So we can control which is used
      on a per-arch or kernel basis by including the right one on the
      initrd.
    - If above hack causes tulip to be used for the first stage, call
      register-modules to make it be used on the installed system.
      Closes: #282814
    - On hppa 2.4 this doesn't happen, since tulip is built in.
      In that case, de4x5 will still be blacklisted so the hang will be
      avoided. Closes: #283754
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Finnish (fi.po) by Tapio Lehtonen
    - Italian (it.po) by Giuseppe Sacco
    - Dutch (nl.po) by Bart Cornelis
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 2004 16:14:06 -0500

ddetect (1.10ubuntu4) hoary; urgency=low

  * Test $HOTPLUG_TYPE, not $hotplug_type.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 24 Nov 2004 17:44:59 +0000

ddetect (1.10ubuntu3) hoary; urgency=low

  * Depend on hotplug-udeb | discover rather than just discover.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 23 Nov 2004 20:23:47 +0000

ddetect (1.10ubuntu2) hoary; urgency=low

  * Add integration with hotplug:
    - Re-run hotplug rc scripts during hardware detection.
    - Hook into net events so that we can record them for netcfg.
    - Remove firmware loading support. hotplug itself should be able to
      handle this now.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 23 Nov 2004 18:08:04 +0000

ddetect (1.10ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).

 -- Colin Watson <cjwatson@canonical.com>  Thu, 28 Oct 2004 19:41:11 +0100

ddetect (1.10) unstable; urgency=low

  * Colin Watson
    - Run discover-mac-io before discover, since that matches the ordering
      post-reboot.
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by French Team

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Oct 2004 19:41:06 +0100

ddetect (1.09) unstable; urgency=low

  * Joey Hess
    - Disable the archdetect-deb as I don't want to try to get it through NEW
      and I need to upload for other reasons.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 15:07:47 -0400

ddetect (1.08) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:27:12 -0400

ddetect (1.07) unstable; urgency=low

  * Colin Watson
    - Look through all of /proc/device-tree/, not just the mac-io bus.

