=== debian/control ===
--- 
+++ 
@@ -9,21 +9,17 @@
 Package: hw-detect
 XC-Package-Type: udeb
 Architecture: any
-Depends: discover, rootskel (>= 0.54), archdetect
+Depends: hotplug-udeb | discover, rootskel (>= 0.54), archdetect, pciutils-udeb
 Description: Detect hardware and load kernel drivers for it
- Using discover to find the HW.
 
 Package: ethdetect
 XC-Package-Type: udeb
 Architecture: all
 Priority: optional
-Depends: cdebconf-udeb (>= 0.38), hw-detect
+Depends: cdebconf-udeb (>= 0.38), hw-detect, pciutils-udeb
 Provides: ethernet-card-detection
 XB-Installer-Menu-Item: 15
 Description: Detect network hardware and load kernel drivers for it
- If you have an ethernet card in the computer I may be able to autodetect it
- and load the proper module for it, thus bringing you closer to a working
- network.
 
 Package: hw-detect-full
 XC-Package-Type: udeb
@@ -33,10 +29,8 @@
 Enhances: hw-detect
 XB-Installer-Menu-Item: 35
 Description: Detect hardware and load kernel drivers for it (full version)
- Using discover to find the HW.
 
 Package: archdetect
 XC-Package-Type: udeb
 Architecture: any
 Description: Hardware architecture detector
- This module detects the different hardware architectures.
