## ddetect 1.14

=== Makefile ===
--- 
+++ 
@@ -8,10 +8,8 @@
 CFLAGS_ARCH = -DARCH=$(DEB_HOST_ARCH) -DCPU=$(DEB_HOST_GNU_CPU) -DCPU_TEXT='"$(DEB_HOST_ARCH)"' -DSYSTEM=$(DEB_HOST_GNU_SYSTEM)
 
 bindir=$(DESTDIR)/bin/
-hpdir=$(DESTDIR)/etc/hotplug.d
 didir=$(DESTDIR)/lib/debian-installer.d
 pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
-cpdir=$(DESTDIR)/usr/lib/casper/pre.d
 
 INSTALL=install
 INSTALL_DATA = ${INSTALL} -m 644
@@ -30,13 +28,8 @@
 	$(INSTALL) -d $(bindir)
 	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
 	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
-	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
-	$(INSTALL) -d $(hpdir)/net
-	$(INSTALL) net-hotplug.sh $(hpdir)/net/ddetect.hotplug
 	$(INSTALL) -d $(pbcdir)
 	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
-	$(INSTALL) -d $(cpdir)
-	ln -s ../../prebaseconfig.d/30hw-detect $(cpdir)/30hw-detect
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
 endif
