=== debian/changelog ===
ddetect (1.14) unstable; urgency=low

  * Kurt Roeckx
    - Also do the register-module psmouse for amd64.
  * Note that this includes some sustitution fixes in translated templates.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Welsh (cy.po) by Dafydd Harries
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Hctor Fenndez Lpez
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Portuguese (pt.po) by Miguel Figueiredo
    - Russian (ru.po) by Dmitry Beloglazov

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 17:13:59 -0500

ddetect (1.13) unstable; urgency=low

  * Bdale Garbee
    - force loading of some hppa nic and scsi modules that discover doesn't
      know about in hw-detect.sh, so modular (2.6) kernels work better

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Jan 2005 16:53:47 -0700

ddetect (1.12) unstable; urgency=low

  * Joey Hess
    - Load ide-core explicitly rather than implicitly to allow the user to
      specify parameters such as hda=stroke when the module is loaded.
    - Add ide-disk to /etc/modules on systems with ide. I'm not yet sure 
      what situation calls for this as it's normally autoloaded. Maybe
      something to do with lvm? See bug #289377.
    - Moved register-module psmouse calls to here from rootskel.
      Currently done for some powerpc subarches, ia64, and also now for i386,
      since some races have been reported on i386 with the module being loaded
      on demand as X starts.
  * Sven Luther
    - Added detection code for NuBus powermacs.
  * Updated translations: 
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2005 15:56:59 -0500
