=== debian/changelog ===
ddetect (1.18ubuntu2) breezy; urgency=low

  * Don't register ide-* modules; hotplug is responsible for loading them
    now (closes: Ubuntu #9099).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 12:59:14 +0100

ddetect (1.18ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Jun 2005 21:07:06 +0100

ddetect (1.18) unstable; urgency=low

  * Joey Hess
    - archdetect postinst removed
    - debian-installer/kernel/subarchitecture is no longer supported,
      just run archdetect instead.
    - remove archdetect-deb binary and source as it and archdetect are now
      identical
  * Colin Watson
    - Use DEB_HOST_ARCH_* variables if available so that we work correctly
      with dpkg 1.13.
    - hw-detect and ethdetect are entirely Linux-specific, so make them do
      nothing on the Hurd for now.
    - Make discover | hotplug-udeb dependency Linux-specific.
    - No longer build-depend on libdebconfclient0-dev, due to archdetect
      change.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po)
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Giuseppe Sacco
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Recai Oktaş

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 May 2005 01:08:39 +0100

ddetect (1.17ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 May 2005 14:35:22 +0100

ddetect (1.17) unstable; urgency=low

  * Joey Hess
    - Set hw-detect-full priority to optional to match overrides.
  * Colin Watson
    - Tolerate failure of sysfs-update-devnames in ethdetect, to cope with
      old initrds (closes: #308340).
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Portuguese (Brazil) (pt_BR.po) by Carlos Eduardo Pedroza Santiviago

 -- Colin Watson <cjwatson@debian.org>  Mon,  9 May 2005 22:15:14 +0100

ddetect (1.16) unstable; urgency=low

  * Colin Watson
    - If udev is available, call udevstart at the end of hardware detection
      to make sure that device nodes are created synchronously.
    - Don't break if no modules need to be loaded.
    - Add integration with hotplug:
      + Re-run hotplug rc scripts during hardware detection.
      + Hook into net events so that we can record them for netcfg.
      Requires lspci in udeb form, which isn't yet available (#284110).
  * Joey Hess
    - Allow module parameters to be preseeded on a per-module basis, using
      hw-detect/module_params/$module as the question name.
    - Turn seen flag setting back on after trying to ask the pcmcia start
      question, now that #257180 is fixed. Add a dependency on the version of
      cdebconf that fixed it. Closes: #280025
    - Revert change to force load sunhme, sunbmac, and esp, since a discover1
      patch exists (thought not yet applied), and the change caused nasty
      error messages during the install.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Japanese (ja.po) by Kenshi Muto

 -- Joey Hess <joeyh@debian.org>  Sat,  7 May 2005 20:16:28 -0400

ddetect (1.15) unstable; urgency=low

  * Joey Hess
    - Force register and load sunhme, sunbmac, and esp on sparc since
      apparently discover does not find these on at least an E4500.
      This is kind of a work around for #299074, and will be reverted once
      discover is fixed.
    - Detect if only one ethernet interface is found, and if it's a firewire
      interface, warn the user and allow them to manually select modules to
      load. This after noticing that 2.6 installs that fail to load the
      ethernet driver fail unexpectedly when the firewire ethernet ends up
      being used. Closes: #303445
    - Add a few missing 2.6 ethernet drivers to devnames.txt.
  * Colin Watson
    - Register apm_emu on systems with via-pmu mac-io devices.
  * Frans Pop
    - Schedule acpi packages for installation if system has acpi support.
      Works only for 2.6 kernels. Closes: #300545
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Stefano Canepa
    - Korean (ko.po) by Changwoo Ryu
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun,  1 May 2005 16:51:56 -0400

ddetect (1.14ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Apr 2005 19:38:00 +0100
